Name:           profile-sync-daemon
Version:        6.50
Release:        %mkrel 1
Summary:        Offload browser profiles to RAM for speed a wear reduction
License:        MIT
URL:            https://github.com/graysky2/profile-sync-daemon
Group:          Networking/Other
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         profile-sync-daemon-6.44-mga-fix_modinfo_command.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(libsystemd)
Requires:       rsync
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
Symlinks and syncs browser profiles to RAM via tmpfs which will reduce HDD/SDD
calls and speed-up browsers.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install

cat > README.urpmi <<EOF
Mageia RPM specific notes

Initial Setup and Configuration
-------------------------------
In order to use this application a user should
follow these steps manually. There is no way to
made these automatically by package manager.

*   Psd requires a properly configured \$XDG_CONFIG_HOME/psd/psd.conf
    file. Running psd (as user NOT ROOT)only once from commandline
    should create this file. You should read it carefully and modify
    it for your taste.

*   Psd ships with a systemd user service to start or stop it.
    To start psd automatically each login run (as user NOT ROOT):

    systemctl --user start psd

*   OverlayFS is provided by Mageia Kernels, so you may want to enable
    this option in configuration file (\$XDG_CONFIG_HOME/psd/psd.conf)
EOF

%post
if [ $1 -eq 1 ]; then
 setsebool -P rsync_full_access 1 >/dev/null 2>&1 || :
fi
%systemd_user_post psd.service

%preun
if [ $1 -eq 0 ]; then
 setsebool -P rsync_full_access 0 >/dev/null 2>&1 || :
fi
%systemd_user_preun psd.service

%postun
%systemd_postun_with_restart psd.service

%files
%doc README*
%license MIT
%{_bindir}/*
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_psd
%dir %{_datadir}/psd
%{_datadir}/psd/psd.conf
%{_datadir}/psd/browsers/
%{_datadir}/psd/contrib/
%{_mandir}/man1/*.1*
%{_userunitdir}/psd*.*


%changelog
* Mon Nov 06 2023 daviddavid <daviddavid> 6.50-1.mga10
+ Revision: 2004714
- new version: 6.50

* Mon Sep 04 2023 daviddavid <daviddavid> 6.48-1.mga10
+ Revision: 1984144
- new version: 6.48

* Thu Feb 16 2023 daviddavid <daviddavid> 6.47-1.mga9
+ Revision: 1943011
- new version: 6.47

* Thu Mar 24 2022 umeabot <umeabot> 6.44-2.mga9
+ Revision: 1824408
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 6.44-1.mga9
+ Revision: 1696912
- new version: 6.44

* Wed Feb 12 2020 umeabot <umeabot> 6.33-3.mga8
+ Revision: 1507448
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.33-2.mga7
+ Revision: 1288066
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 tarakbumba <tarakbumba> 6.33-1.mga7
+ Revision: 1210209
- Updated to 6.33 version

* Thu Mar 16 2017 tarakbumba <tarakbumba> 6.31-1.mga6
+ Revision: 1093140
- imported package profile-sync-daemon

